#  High-resolution crystal structures reveal how a cellulose chain is bound in the 50 A
# long tunnel of cellobiohydrolase I from Trichoderma reesei.


#-----PyMol Header------------------------------- 
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
# set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# for high quality surfaces set this to 3 (very slow)
set surface_quality, 3
# use these commands to control the rainbow
# util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
# spectrum count, wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange, obj and resi 1-522
# set cartoon_cylindrical_helices,1
# create protein, polymer.protein
# create RNA, polymer.nucleic
# symexp prefix, object, selection, cutoff
#-----End PyMol Header------------------------------- 

load 5celFH.pdb, cellobiohydrolase 
remove resn HOH

create protein, chain A
create cellulose, chain B or chain C
create cellulose_stick, cellulose

-------resi 1
# bond (name C1 and resi 1 and Chain B and cellulose), (name H1 and resi 1 and Chain B and cellulose)
# bond (name C2 and resi 1 and Chain B and cellulose), (name H2 and resi 1 and Chain B and cellulose)
# bond (name C3 and resi 1 and Chain B and cellulose), (name H3 and resi 1 and Chain B and cellulose)
# bond (name C4 and resi 1 and Chain B and cellulose), (name H4 and resi 1 and Chain B and cellulose)
# bond (name C5 and resi 1 and Chain B and cellulose), (name H5 and resi 1 and Chain B and cellulose)
# bond (name C6 and resi 1 and Chain B and cellulose), (name H6 and resi 1 and Chain B and cellulose)
--------
# bond (name O1 and resi 1 and Chain B and cellulose), (name HO1 and resi 1 and Chain B and cellulose)
# bond (name O2 and resi 1 and Chain B and cellulose), (name HO2 and resi 1 and Chain B and cellulose)
# bond (name O3 and resi 1 and Chain B and cellulose), (name HO3 and resi 1 and Chain B and cellulose)
# bond (name O5 and resi 1 and Chain B and cellulose), (name HO5 and resi 1 and Chain B and cellulose)
# bond (name O6 and resi 1 and Chain B and cellulose), (name HO6 and resi 1 and Chain B and cellulose)




disable all 
enable protein
enable cellulose
color salmon, protein
color palegreen, cellulose
color palegreen, cellulose_stick

show surface, protein
show surface, cellulose
hide nb_spheres, elem H and cellulose
hide nb_spheres, elem H and cellulose_stick

set_view (\
     0.220609128,   -0.591417730,    0.775596917,\
     0.412844688,    0.777058899,    0.475109875,\
    -0.883671343,    0.215384603,    0.415594876,\
     0.001170639,   -0.000777154,  -54.917587280,\
    24.951744080,   56.467861176,   89.447509766,\
    53.395072937,   57.364921570,  -20.000000000 )

# ray 2000,2000
ray 2000,2000
save protein_cellulose.png

set_view (\
     0.273540974,    0.540116012,   -0.795888364,\
     0.567669749,   -0.758623362,   -0.319731891,\
    -0.776470125,   -0.364341974,   -0.514127910,\
     0.001078591,    0.001295194,  -56.547920227,\
    24.365501404,   54.663871765,   91.566848755,\
    54.600921631,   58.570770264,  -20.000000000 )

#hide stick, cellulose
save protein_cellulose_2.png
ray 2000, 2000
save protein_cellulose_2RT.png

set_view (\
     0.273540974,    0.540116012,   -0.795888364,\
     0.567669749,   -0.758623362,   -0.319731891,\
    -0.776470125,   -0.364341974,   -0.514127910,\
     0.001078591,    0.001295194,  -56.547920227,\
    24.365501404,   54.663871765,   91.566848755,\
  -269.755859375,  382.927490234,  -20.000000000 )
### cut above here and paste into script ###

disable all
enable cellulose_stick
ray 2000,2000
save protein_cellulose_3.png


